View Issue Details

IDProjectCategoryView StatusLast Update
0000071OpenMPT[All Projects] File Format Supportpublic2018-04-16 10:50
Reporter404notfoundAssigned ToSaga Musix 
PrioritynormalSeverityminorReproducibilityalways
Status assignedResolutionopen 
Platformx86OSWindowsOS Version7
Product VersionOpenMPT 1.19.00.* (old testing) 
Target VersionOpenMPT 1.28.01.00 (goals)Fixed in Version 
Summary0000071: Faulty octamed importer
Description

Poor octamed importing quality. Not really a new issue.

TagsNo tags attached.
Has the bug occurred in previous versions?Always, I think.
Tested code revision (in case you know it)

Relationships

related to 0001036 resolvedSaga Musix OctaMED 5.04 (Amiga) Mod's MMD2 format opens with incorrect and unfixable playback speed 
has duplicate 0000528 closed OctaMED playback 
has duplicate 0000673 closed Faulty OctaMED importer 
has duplicate 0000685 closed OctaMED .med / .mmd format wrong tones in notes / patterns. 

Activities

404notfound

404notfound

2011-02-15 00:14

reporter  

med2xm.zip (183,822 bytes)
Saga Musix

Saga Musix

2011-02-15 23:30

administrator   ~0000070

Well yeah, from my experience MMD0 and MMD1 files play rather well, while MMD2+ files don't...

Some-E

Some-E

2018-04-16 10:02

reporter   ~0003506

High octaves are not played correctly.
Synth sounds are not supported?
I've created testfiles for playing full scale of notes from C-1 to F-B, with sample and synth instrument (separate MED).
Please, find the corresponding audio recordings from real Amiga 500 (PAL) and spectrum plots for easier understanding of sample and synth instrument playback rates on each octave:
https://1drv.ms/f/s!Ahrc_3u_IRCdznbo9bvuJ0yinFHX
Also, read the Readme.txt for more detailed description.
Finally, feel free to ask me more about OctaMED playback on Amiga. I can play back and record audio references of suggested MED files.

Saga Musix

Saga Musix

2018-04-16 10:50

administrator   ~0003507

Thanks for the test cases. I suppose the exact behaviour here might depend on the software mixing flag, as I guess the additional octave only work "as intended" when that flag is set?

Issue History

Date Modified Username Field Change
2011-02-15 00:14 404notfound New Issue
2011-02-15 00:14 404notfound File Added: med2xm.zip
2011-02-15 23:30 Saga Musix Category Playback Compatibility => File Format Support
2011-02-15 23:30 Saga Musix Note Added: 0000070
2014-01-18 19:40 Saga Musix Assigned To => Saga Musix
2014-01-18 19:40 Saga Musix Status new => assigned
2014-05-09 14:00 Saga Musix Relationship added has duplicate 0000528
2015-04-13 19:12 Saga Musix Relationship added has duplicate 0000673
2015-06-19 08:07 Saga Musix Relationship added has duplicate 0000685
2017-10-01 00:58 Saga Musix Relationship added related to 0001036
2018-03-27 18:55 Saga Musix Target Version => OpenMPT 1.28.01.00 (goals)
2018-04-16 10:02 Some-E Note Added: 0003506
2018-04-16 10:50 Saga Musix Note Added: 0003507